# GET /customers/{customer_id}/addresses

**List addresses for a customer**

Returns a paginated list of addresses for a customer. Use the query parameters to page through results.

By default, Paddle returns addresses that are `active`. Use the `status` query parameter to return addresses that are archived.

**Required permissions:** `address.read`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `customer_id` | string | required | Paddle ID of the customer entity to work with. (pattern: `^ctm_[a-z\d]{26}$`) |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200) |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `id`. |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. |
| `search` | string | optional | Return entities that match a search query. Searches all fields except `status`, `created_at`, and `updated_at`. (Max length: 100) |

## Response (200)

- `data`: array (required)
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

### Response example

```json
{
  "data": [
    {
      "id": "add_01hv8h6jj90jjz0d71m6hj4r9z",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "description": "Sales Office",
      "first_line": "8700 Edgemont Road",
      "second_line": null,
      "city": "Phoenix",
      "postal_code": "85051",
      "region": "AZ",
      "country_code": "US",
      "custom_data": null,
      "created_at": "2024-04-12T06:51:26.153Z",
      "updated_at": "2024-04-12T06:51:26.153Z",
      "import_meta": {
        "external_id": "59f25141-28c3-4447-b77c-dae5677537f0",
        "imported_from": "paddle_classic"
      }
    },
    {
      "id": "add_01hv8gwdfkw5z6d1yy6pa3xyrz",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "description": "California Office",
      "first_line": "5400 E Washington Drive, Floor 2",
      "second_line": null,
      "city": "San Jose",
      "postal_code": "95314",
      "region": "CA",
      "country_code": "US",
      "custom_data": {
        "crm_id": "08bcfb7a-41d8-4747-9ade-3d885c287d0f"
      },
      "created_at": "2024-04-12T06:45:53.267Z",
      "updated_at": "2024-04-12T06:47:01.533006Z",
      "import_meta": null
    },
    {
      "id": "add_01hv8gq3318ktkfengj2r75gfx",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "description": "Head Office",
      "first_line": "4050 Jefferson Plaza, 41st Floor",
      "second_line": null,
      "city": "New York",
      "postal_code": "10021",
      "region": "NY",
      "country_code": "US",
      "custom_data": null,
      "created_at": "2024-04-12T06:42:58.785Z",
      "updated_at": "2024-04-12T06:42:58.785Z",
      "import_meta": null
    }
  ],
  "meta": {
    "request_id": "d195779a-5cbe-41e1-8dbb-537057978d1b",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/customers/ctm_01hv6y1jedq4p1n0yqn5ba3ky4/addresses?after=add_01hv8gq3318ktkfengj2r75gfx",
      "has_more": false,
      "estimated_total": 3
    }
  }
}
```
